API to update the status of products in a particular store
http
POST https://services.leadconnectorhq.com/products/store/{storeId}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
storeId | string | Yes | 3SwdhCu3svxI8AKsPJt6 | Products related to the store |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
altId | string | Yes | 6578278e879ad2646715ba9c | Account Id or Agency Id |
altType | string | Yes | Possible values: 'account' | |
action | string | Yes | include | Action to include or exclude the product from the store Possible values: 'include', 'exclude' |
productIds | string[] | Yes | Array of product IDs |
Responses
201 - Successful response
status(boolean, required): Status of api action Example:Truemessage(string): Success message Example:Successfully created
json
{
"status": true,
"message": "Successfully created"
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/products/store/YOUR_storeId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"action": "include",
"productIds": [
"productId1",
"productId2"
]
}'const response = await fetch('https://services.leadconnectorhq.com/products/store/YOUR_storeId', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "action": "include", "productIds": ["productId1", "productId2"]}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/products/store/YOUR_storeId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "action": "include", "productIds": ["productId1", "productId2"]},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/store/YOUR_storeId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'action': 'include', 'productIds': ['productId1', 'productId2']}),
]);
$data = json_decode(curl_exec($ch), true);